This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 481240 - iso-codes updates for Serbian locales
iso-codes updates for Serbian locales
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: iso-codes (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 18:29 EST by Miloš Komarčević
Modified: 2010-07-05 16:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-05 16:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iso-codes updates for Serbian locales (14.36 KB, application/x-bzip2)
2009-01-22 18:31 EST, Miloš Komarčević
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 563923 None None None Never

  None (edit)
Description Miloš Komarčević 2009-01-22 18:29:43 EST
Please update iso-codes information for Serbian locales using the attached po files which correct numerous mistakes, most importantly pertaining to some aspects of the related Gnome bug.

Have tried sending these upstream to the relevant people maintaining these at the Translation Project with no response so far.
Comment 1 Miloš Komarčević 2009-01-22 18:31:35 EST
Created attachment 329754 [details]
iso-codes updates for Serbian locales
Comment 2 Christopher Aillon 2009-01-27 11:53:01 EST
Has this been submitted to iso-codes upstream?
Comment 3 Miloš Komarčević 2009-01-27 15:00:34 EST
I have on several occasions tried contacting local community members who are more involved with Debian/Ubuntu and responsible for maintaining this through the Translation Project, but had no response so far.

I understand you might prefer not to carry and maintain patches, so how do we forward this request upstream? Maybe just send them directly to pkg-isocodes-devel@lists.alioth.debian.org?
Comment 4 Christopher Aillon 2009-02-02 16:43:05 EST
Yes, I've sent patches that way and have gotten them accepted.
Comment 5 Miloš Komarčević 2009-03-25 11:14:38 EDT
Ok, one TP maintainer responded, so we at least have iso_3166 somewhat updated, which was more important anyway. Unfortunately, the Latin translations have not been added.

Christopher, could you at least package Latin versions of sr.po (both iso_639 and iso_3166) for Fedora? Getting those should be as easy as

recode-sr-latin < sr.po > sr@latin.po (recode-sr-latin is part of gettext-devel)

This would really help mitigate the gdm bug somewhat.
Comment 6 Parag Nemade 2009-06-23 04:20:14 EDT
I see newer iso-codes-3.10 in rawhide have
/usr/share/locale/sr/LC_MESSAGES/iso_15924.mo
/usr/share/locale/sr/LC_MESSAGES/iso_3166.mo
/usr/share/locale/sr/LC_MESSAGES/iso_3166_2.mo
/usr/share/locale/sr/LC_MESSAGES/iso_4217.mo
/usr/share/locale/sr/LC_MESSAGES/iso_639.mo
/usr/share/locale/sr/LC_MESSAGES/iso_639_3.mo


Milos,
    Can you check F-12?
Comment 7 Miloš Komarčević 2009-06-23 17:56:14 EDT
Parag - no changes for 3.10 and rawhide. Only iso_3166 has been updated recently, as mentioned above. Still missing sr@latin files upstream.
Comment 8 Parag Nemade 2009-08-04 03:22:40 EDT
Milos,
   I have updated iso-codes in F-12 to 3.10.1. Can you give me what is still missing? I can then ask upstream.
Comment 9 Parag Nemade 2009-08-05 05:35:54 EDT
Updated iso-codes to 3.10.2 in rawhide(F-12)
Comment 10 Miloš Komarčević 2009-08-05 14:35:12 EDT
Just checked upstream git repo, still missing the sr@latin versions.
Comment 11 Bug Zapper 2009-11-18 05:50:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Parag Nemade 2010-05-04 23:47:28 EDT
Moving this bug against rawhide.
Comment 13 Parag Nemade 2010-07-04 23:58:05 EDT
Miloš,
Upstream included Serbian locales in git repo. Released it in 3.18 version.
I have built it for rawhide now on koji.(http://koji.fedoraproject.org/koji/taskinfo?taskID=2295260)

Can you please check them if it works for you?
Comment 14 Miloš Komarčević 2010-07-05 16:25:33 EDT
Fantastic, I can now confirm gdm displays the correct script in language choice with 3.18. Thanks Parag.

Note You need to log in before you can comment on or make changes to this bug.